# GPLv2

from __future__ import print_function
import ConfigParser
import cgi
import re

HEADER=" "
FOOTER=" "

linkformat='<a href="{0}">'
datadir="data"
htmldir="html"

def htmlpage(filename, out):
	config = ConfigParser.RawConfigParser()
	config.read(filename)
	question = config.get("Question", "Q").split("\n")
	print(HEADER, file=out)
	for line in question:
		print("<p>", tohtml(line), "</p>", file=out)
	print("<ul>", file=out)
	if config.has_section("Options"):
		for opt in config.items("Options"):
			print('<li>', linkformat.format(opt[0]), tohtml(opt[1]), "</a></li>", file=out)
	print("</ul>", file=out)
	print(FOOTER, file=out)

def tohtml(text):
	text = cgi.escape(text)
	text = re.sub(r"\[(.*?) (.*?)\]", r'<a href="\1">\2</a>', text)
	text = re.sub(r"\[(.*?)\]", r'<a href="\1">\1</a>', text)
	return text
